Devnest.app
============

What is DevNest?
-----------------

Twitter Developer Nest, known generally as DevNest, is a developer event for users of the Twitter API in London, United 
Kingdom. It is hosted every month at the offices of the world famous newspaper, The Guardian.

This application is designed in order to give the community a way to stay up to date with the events. It includes by 
default information like:

- the time, date and location of the next event.
- discussion on Twitter about the events using the hashtag #devnest
- tweets from the official DevNest account, @devnest
- the agenda of the next event

What resources are used in this project?
----------------------------------------

This project would not be possible without two important open source applications, both available on GitHub:

- [jQTouch](http://github.com/senchalabs/jQTouch) - this is used to create the iPhone style interface that is so 
familiar to developers today. jQTouch is a really great project and I would encourage everyone to use it. It's brilliant 
whether you want to create web applications or even native applications using...
- [PhoneGap](http://github.com/sintaxi/phonegap) - this is used to convert the web application into a native iPhone 
application to be submitted to the App Store. This is a truly amazing open source project and I thoroughly recommend it 
for anyone who wants to make iPhone apps. It is also compatible with other platforms like Palm WebOS, Blackberry and 
Android. A version of the project for Android is also available on GitHub [here](http://github.com/timrogers/devnest-android).

What should I do with this?
---------------------------

I'd love to see people remixing this project to make their own similar iPhone applications, or even improving my effort 
here. I would wholeheartedly welcome people improve the DevNest project, as this app is by no means perfect. I just 
wanted to make something and then get it out to the online community to enjoy.

I'd also quite like to see versions of the app for other platforms on which it is not currently available, like WebOS, Blackberry and Symbian. Please feel free to take the HTML assets and compile them with PhoneGap to these platforms and just upload them to the relevant stores!

What's new?
-----------

Version 1.1 includes a refresh button to update the page, since otherwise it will not update until the application is fully terminated due to how multitasking works.

Plans for Version 1.2
----------------------

I'm not really sure where I want to go with this application now since it is meant to be simple and function. I do, however, have a few relevant ideas that I might put in.

- Use jQTouch form functionality to allow people to submit themselves as speakers (would need a backend, written in PHP by myself perhaps)
- Implement the [PhoneGap ChildBrowser plugin](http://github.com/purplecabbage/PhoneGap-Plugins/tree/master/ChildBrowser/iPhone/).
- Perhaps implement push notifications to notify people of news regarding the events.

__Other than these ideas, we will have to see what Apple says to the currently submitted version. I will not be surprised if they decide to reject it for some reason, in which case I may need to make other changes.__

If you have any ideas, feel free to make them yourselves and then send me a pull request, or contact me through GitHub.



Credits
--------

Created by [Tim Rogers](http://www.tim-rogers.co.uk). If you'd like a similar app made, feel free to contact my iPhone 
app development studio, [Carnochan Rogers](http://www.carnochanrogers.co.uk).
With special thanks to [Multizone Ltd](http://www.multizone.co.uk) and Angus Fox for organising the event and for 
providing the iPhone developer account on which this app will hopefully eventually be released, once it is approved.

(C) 2010 Tim Rogers